HttpMessage::setHttpVersion
HttpMessage::setRequestUrl
HttpMessage
PHP Manual

# HttpMessage::setRequestMethod

(PECL pecl_http >= 0.10.0)

HttpMessage::setRequestMethod — Set request method

### Opis

public bool HttpMessage::setRequestMethod ( string `$method` )

Set the Request Method of the HTTP Message.

### Parametry

`method`

  the request method name

### Zwracane wartości

Returns `TRUE` on success, or `FALSE` if the message is not of type HttpMessage::`TYPE_REQUEST` or an invalid request method was supplied.

HttpMessage::setHttpVersion
HttpMessage::setRequestUrl
HttpMessage
PHP Manual